#
# spec file for package cryptconfig (Version 0.1.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db device-mapper diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv intltool klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-devel pam-modules patch perl perl-XML-Parser permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux util-linux-crypto vim zlib zlib-devel


Name:           cryptconfig
Version:        0.1.0
Release:        5.27
Group:          System/Base
License:        GPL v2 or later
Summary:        A Utility to Configure Encrypted Home Directories and LUKS Partitions
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       util-linux util-linux-crypto pam_mount >= 0.18-29.6 glib2 >= 2.8 openssl >= 0.9.7
BuildRequires:  glib2-devel >= 2.8 intltool openssl-devel >= 0.9.7 pam-devel util-linux util-linux-crypto
Source:         %{name}-%{version}.tar.gz
Source1:        cryptconfig-po.tar.bz2
Patch:          cryptconfig-linguas.patch

%description
This package contains a utility for configuring encrypted home
directories and LUKS partitions. It also supports creating LUKS disk
images, creating LUKS partitions, and enlarging disk images along with
their file systems.  This package also contains a pam module that syncs
a user's UNIX password with the password used to encrypt their home
directory.



Authors:
--------
    Chris Rivera <crivera@novel.com>

%debug_package
%prep
%setup -a1
%patch

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
#    --sbindir=%{_sbindir} --mandir=%{_mandir}
export CFLAGS="$RPM_OPT_FLAGS"
autoreconf --force --install
%configure --with-slibdir=/%{_lib}

%install
make install DESTDIR=${RPM_BUILD_ROOT}
rm -f $RPM_BUILD_ROOT/%_lib/security/pam_cryptpass.{a,la}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
/%_lib/security/pam_cryptpass*.so
%{_datadir}/locale/en_US/LC_MESSAGES/cryptconfig.mo
%{_sbindir}/cryptconfig
%{_sysconfdir}/cryptconfig.conf
%doc %{_mandir}/man8/cryptconfig.8.gz

%changelog
* Fri Apr 18 2008 - mauro@suse.de 
- Updated translations.
* Wed Apr 09 2008 - mauro@suse.de 
- Updated translations (fixing pt_BR issues in the process).
* Fri Mar 28 2008 - mauro@suse.de
- Updated translations.
* Fri Mar 14 2008 - mauro@suse.de 
- Updated translations.
* Fri Mar 14 2008 - mauro@suse.de 
- Updated translations.
* Thu Feb 21 2008 - mauro@suse.de
- Updated translations.
* Sat Feb 16 2008 - mauro@suse.de
- Updated translations.
* Fri Mar 30 2007 - jhargadon@suse.de
- updated translations
* Fri Mar 30 2007 - crivera@suse.de
- Fix the copy_user_data() function to make sure dot directories
  are getting copied.  This fixes 259113.
* Sat Mar 17 2007 - jhargadon@suse.de
- added translations
* Mon Mar 12 2007 - crivera@suse.de
- Implement pam_sm_open_session() and pam_sm_close_session() for
  pam_cryptpass.  This lets us hook into the session stack, before pam_mount,
  to verify that the authtok being used can decrypt the image key.  If it
  can't then we can prompt for the key password and sync the two.  This
  provides a much nicer experience for users of non-local auth mechanisms.
  This fixes 253683.
- Make root the owner of the unencrypted home directory.  This is to avoid
  confusion if the user logs in from a service that doesn't have pam_mount
  in the stack.  This fixes 245698.
- Add a flag, --remove-data, that will remove the data in the user's
  unencrypted home directory after it's been copied to the encrypted image.
- Move the list of passwd services to cryptconfig.conf and add gnome-passwd
  to the default list.
- Add pam_cryptpass.so to the pam session stack before pam_mount to ensure
  that the key file is in sync with the user's password.  This fixes 253683.
* Wed Feb 21 2007 - crivera@suse.de
- Remove 'su' from the list of pam config files to edit.
  This fixes Bug 245702.
- Add a check against a key file size threshold to avoid interger overflow
  attacks.  This helps fix 243881.
- Replace chown and g_stat with fchown and fstat to avoid potential
  symlink issues.  This helps fix 243881.
- Use "--" to prevent user's from adding additional command-line options
  to apps that we exec.  This helps fix 243881.
- Use flock() to avoid races if multiple instances cryptconfig are running.
- Set our umask to 077.  This helps fix 243881.
- Use 64-bit versions of lseek when creating and enlarging images.
  This fixes bugzilla #245632.
* Tue Feb 13 2007 - crivera@suse.de
- Search for the full path when looking for the
  loop device an image is using.
- Make get_passphrase() stop reading input when it encounters
  a new line.  This allows cryptconfig to be a little more scriptable
  and allows the new unit tests to work.
- Correctly check the return value when adding a key file to an image.
- Only call luks_close() if we've actually setup a map device.
- Don't allow encrypted home directories for the root user.
- Add a mount flag to the open command to allow images to be unlocked
  and mounted.
- A few more minor fixes.
* Tue Jan 23 2007 - crivera@suse.de
- Escape the '\' characters in user names when writing to
  pam_mount.conf.  This allows encrypted directories to work
  with Active Directory.  This fixes bug 237929.
- Set our umask to 022.
- Merge a patch from dgollub to fix a file creation bug.
- Add O_TRUNC in crappy_rename() when copying across devices.
- Move the pam services list to cryptconf.conf instead of
  depending on an internal list.  This will allow people to
  enable encrypted home dirs with other pam services.
- Use 256 bytes of random data when generating a key instead of 64.
  This is why we depend on pam_mount-0.18-29.6.
* Tue Jan 16 2007 - crivera@suse.de
- Fix a small automake build issue.
* Sat Jan 13 2007 - maw@suse.de
- Feature update (more fate #253)
- Remove cryptconfig-pam_moddir.patch which is now upstream.
* Tue Jan 09 2007 - ro@suse.de
- fix lib64 issue: teach configure about PAM_MODDIR
- work around automake problem
* Tue Jan 09 2007 - maw@suse.de
- Initial import into autobuild (fate #253).
